Patch
/sys/v1/apps/{app_id}/groups/{group_id}
Update an app's particular group membership
Security
HTTP
Type bearer
API Key: apiKeyAuth
Header parameter nameAuthorization
Please enter your token prefixed with 'Basic ' (e.g., 'Basic your_token_here')
Path parameters
app_id
string (uuid) Required
group_id
string (uuid) Required
Body parameters
object
add_group_roles
Array
The set of roles to add
Unique itemstrue
OneOf
AppGroupRoleDescriptorVariantSystemDefined
object (AppGroupRoleDescriptorVariantSystemDefined)
$type
string Required
Valid values[
"SystemDefined"
]
value
string Required
Valid values[
"GroupAuditor",
"GroupAdministrator"
]
AppGroupRoleDescriptorVariantCustom
object (AppGroupRoleDescriptorVariantCustom)
$type
string Required
Valid values[
"Custom"
]
value
string (uuid) Required
del_group_roles
Array
The set of roles to remove
Unique itemstrue
OneOf
AppGroupRoleDescriptorVariantSystemDefined
object (AppGroupRoleDescriptorVariantSystemDefined)
$type
string Required
Valid values[
"SystemDefined"
]
value
string Required
Valid values[
"GroupAuditor",
"GroupAdministrator"
]
AppGroupRoleDescriptorVariantCustom
object (AppGroupRoleDescriptorVariantCustom)
$type
string Required
Valid values[
"Custom"
]
value
string (uuid) Required
Responses
2XX
Success result
object
group_id
string (uuid)
roles
Array of object (AppGroupRoleDescriptor)
Unique itemstrue
OneOf
AppGroupRoleDescriptorVariantSystemDefined
object (AppGroupRoleDescriptorVariantSystemDefined)
$type
string
Valid values[
"SystemDefined"
]
value
string
Valid values[
"GroupAuditor",
"GroupAdministrator"
]
AppGroupRoleDescriptorVariantCustom
object (AppGroupRoleDescriptorVariantCustom)
$type
string
Valid values[
"Custom"
]
value
string (uuid)